Skip to main content
GET
/
remuneration
/
api
/
fixed-natures
List fixed natures
curl --request GET \
  --url https://{host}/remuneration/api/fixed-natures \
  --header 'Authorization: <authorization>'
import requests

url = "https://{host}/remuneration/api/fixed-natures"

headers = {"Authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<authorization>'}};

fetch('https://{host}/remuneration/api/fixed-natures', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "id": 123,
      "name": "Basic salary",
      "category": {
        "id": 123,
        "code": "BASIC_SALARY"
      },
      "establishments": [
        {
          "id": 123,
          "name": "Lucca FR",
          "currencyCode": "EUR",
          "currencySymbol": "€"
        }
      ]
    }
  ],
  "next": "<string>",
  "prev": "<string>",
  "count": 123
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}

Headers

Authorization
string
required

API key. Value must be formatted like so: lucca application={api_key}.

Query Parameters

establishmentIds
integer<int32>[]

Only return fixed natures linked to the specified establishments.

limit
integer
default:10

For paging. Number of items per page.

page

Two strategy might be used:

  • Continuation token paging
  • Offset limit paging
fields.root
enum<string>[]

Properties that make sense on the collection level

Available options:
next,
prev,
count

Response

OK

items
object[]
next
string | null
prev
string | null
count
integer<int32> | null